#version 150

#define LUMI(rgb) dot(vec3(0.2126,0.7152,0.0722),rgb)
#define BEZIER(t,p_0,p_1,p_x) (pow((1 - t),2.0)*p_0+((1-t)*t)*p_x+pow(t,2.0)*p_1)

#define M1_P_0 vec3(0.0, 0.0, 0.0)
#define M1_P_1 vec3(127.0/255.0, 127.0/255.0, 127.0/255.0)
#define M1_P_X vec3(95.0/255.0, 95.0/255.0, 95.0/255.0)

in vec4 vertexColor;

uniform vec4 ColorModulator;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }

	if (color.a == 128.0/255.0) {
	  color.a = 75.0/255.0;
    }
    
    fragColor = color * ColorModulator;
}
